Skip to content
GAMPEONCreate
New project

Download a file of a game package

GET
/v1/packages/files/{sha256}
curl --request GET \
--url https://api.gampeon.com/v1/packages/files/example \
--header 'x-package-grant: example'

For the launcher. Needs the packageGrant from POST /v1/servers/{id}/join in the header x-package-grant (60 minutes, only for the packages of that join). Supports Range: bytes=start- to continue an interrupted download. Check the SHA-256 after downloading.

Rate limit: 600 per hour per grant.

sha256
required
string
/^[a-f0-9]{64}$/

SHA-256 of the file, 64 lowercase hex characters

x-package-grant
required
string

Download grant from the join

range
string

Optional single range, bytes=start- or bytes=start-end

The file (206 for a range)

Media typeapplication/octet-stream
string format: binary

Error codes: invalid_package_grant

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: range_not_satisfiable

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 600 per hour per grant. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: packages_unavailable

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback